## org.eclipse.emf.mint
Interface IItemJavaElementSourceContributor

    public interface IItemJavaElementSourceContributor

Interface for contributors of `IItemJavaElementSource`s. Clients wishing to provide their implementation of `IItemJavaElementSource` should contribute it through extension point `org.eclipse.emf.mint.itemJavaElementSourceContributors`. Note that this will only work for model URIs whose registered adapter factory supports extensibility using this mechanism.

Clients may implement this interface.

Method Summary
`IItemJavaElementSource` `getItemJavaElementSource(Object object)` Returns an instance of `IItemJavaElementSource` for the given model element.

Method Detail

### getItemJavaElementSource

    IItemJavaElementSource getItemJavaElementSource(Object object)

  Returns an instance of `IItemJavaElementSource` for the given model element.

  Parameters:
    `object` - model element
  Returns:
    Java element source for the given model object

Copyright 2008, 2009 Ecliptical Software Inc. and others. All Rights Reserved.